#
# spec file for package suspend (Version 20071205)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           suspend
BuildRequires:  pciutils-devel
Version:        20071205
Release:        0.11.13
Summary:        A Set Of Tools To Support Sleep Modes
License:        GPL v2 or later
Url:            http://sourceforge.net/projects/suspend
Group:          System/Console
Source:         %{name}-20070216.tar.bz2
Source1:        README
Patch0:         whitelist-lenovo-20071010.diff
Patch1:         whitelist-lenovo-20071022.diff
Patch2:         whitelist-lenovo-20071205.diff
Patch3:         whitelist-lenovo-20080129.diff
Patch4:         whitelist-lenovo-20080201.diff
Patch5:         whitelist-hp-20080220.diff
Patch6:         whitelist-lenovo-20080403.diff
Patch7:         whitelist-wyse-20080415.diff
Patch8:         whitelist-dell-20080819.diff
Patch9:         whitelist-hp-20080924.diff
Patch10:        whitelist-lenovo-20080924.diff
Patch11:        whitelist-wyse-20080924.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Supplements:    powersave
ExclusiveArch:  %ix86 x86_64
# this version should have never existed...

%description
A set of tools to support suspending notebooks, working around the
specific problems each machine has.



Authors:
--------
    Pavel Machek <pavel@suse.cz>

%prep
%setup -n suspend-20070216 -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
cp -vb %{S:1} .

%build
make s2ram ARCH=%_arch

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp s2ram $RPM_BUILD_ROOT/usr/sbin/
chmod 555 $RPM_BUILD_ROOT/usr/sbin/s2ram

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/usr/sbin/s2ram
%doc README README.s2ram-whitelist

%changelog
* Mon Apr  6 2009 ro@suse.de
- buildfix: added exclusivearch
* Wed Sep 24 2008 seife@suse.de
- add another version of FX160 (bnc#413058)
- add another version of HP 2133 (bnc#409246)
- add HP Compaq 6910p (bnc#404894)
- add Lenovo MediaPad S9/S10 (bnc#416976)
- add Wyse Mercury/Pluto Thin Client (bnc#418014)
* Tue Apr 15 2008 seife@suse.de
- add DELL Optiplex FX160 (bnc#379774)
- add Wyse Mobile-2 (bnc#376728)
* Thu Apr  3 2008 seife@suse.de
- add Lenovo X300, bnc#370690
* Wed Feb 20 2008 seife@suse.de
- add HP machine, bnc#363240.
* Mon Feb  4 2008 seife@suse.de
- new lenovo entries, bnc#353896.
* Tue Jan 29 2008 seife@suse.de
- new lenovo entries, bnc#334518 comment 10.
* Wed Dec  5 2007 seife@suse.de
- new Lenovo entries, bug 334518 comment 3.
* Mon Oct 22 2007 fseidel@suse.de
- new Lenovo entries: corrections sent by Lenovo for:
  8889* - 8894* (nvidia video), 8895* - 8900* (intel video)
* Thu Oct 18 2007 fseidel@suse.de
- new whitelist entries:
  - Lenovo ThinkPad (Bunch) for R/T6X models
* Wed Oct 10 2007 fseidel@suse.de
- new whitelist entries:
  - Lenovo ThinkPad R61, ThinkPad T61
* Fri Feb 16 2007 seife@suse.de
- new whitelist entries:
  - Acer Aspire 5570, Travelmate 2450
  - Asus A2D, A6U
  - HP t3250.se desktop
  - Lenovo ThinkPad R60, ThinkPad Z61p
- whitelist updates:
  - Dell D620
- got rid of libpci-needs-libz.diff (applied upstream)
* Mon Feb  5 2007 seife@suse.de
- new whitelist entries:
  - Acer Travelmate 2300
  - FSC Amilo Pro V2030
  - HP Presario V3000
  - HP Pavilion dv6000
  - Lenovo 3000 N100 Model 07687MM
  - transtec MS-1034 and MS-1057
- whitelist updates:
  - Compaq Evo N620c
  - FSC SCENIC W300/W600
  - IBM ThinkPad R51
- Makefile cleanup
* Sat Jan 20 2007 seife@suse.de
- fix build against updated pciutils package
* Fri Jan 19 2007 seife@suse.de
- upstream updated its Documentation, drop our copy of README.s2ram
- fix usage text
- patch for older libpci got included upstream
- new whitelist entries:
  - Acer Aspire 1350
  - Dell Latitude D420
  - Dell Latitude D520
  - ECS Model 536
  - HP Compaq nc2400
  - MTC Montara GML
  - Another variant of Compaq nc6000
  - Lenovo 3000 N100, model 0768-6VG
  - Panasonic Toughbook CF-R2C
  - Toshiba Satellite A100
  - Sony PCG-FX601
- whitelist updates:
  - Fujitsu Siemens Amilo Si 1520
* Thu Jan 11 2007 seife@suse.de
- upstream code drop:
  - many whitelist updates
  - new workarounds: VBE_MODE PCI_SAVE
  - newer vbetool code base which fixes x86_64 segfault problems
- update Documentation, README and README.s2ram-whitelist
* Wed May 31 2006 seife@suse.de
- Whitelist updates:
  - ASUS M6VA, V6V
  - Compaq Evo N620c
  - FSC W300/W600
  - TOSHIBA Tecra S3
  - VIA EPIA M
* Fri May 19 2006 seife@suse.de
- Whitelist update: ThinkPad R40 [#171495]
* Tue May 16 2006 seife@suse.de
- Whitelist updates:
  - Dell D410
  - Lenovo Thinkpads X60 / X60s
* Mon May  8 2006 seife@suse.de
- correct the homepage for error reports
- Whitelist updates:
  - Dell Inspiron 8000
  - Dell Latitude C600
  - ThinkPads R52 and X31
* Thu Apr  6 2006 seife@suse.de
- consolidate the --force fix
- Whitelist updates:
  - Acer Travelmate 3000
  - Asus L2400D
  - Dell D800
  - ThinkPad T60p
  - LG M1
* Mon Apr  3 2006 seife@suse.de
- Whitelist updates:
  - Acer Travelmate 650
  - Asus M2400N
  - Dell e1505
  - HP Presario R4100
  - ThinkPad A21m
  - Toshiba Satellite A30 / L10
* Sun Apr  2 2006 seife@suse.de
- fix the s2ram --force option (bug #159688)
* Mon Mar 27 2006 seife@suse.de
- Rework the various s2ram workarounds so the functions can be
  used cleanly, move the supported/unsupported logic to main().
- Whitelist updates:
  - Acer Aspire 1690, Ferrari 4000
  - HP nx6125
  - ThinkPad 30, T41p, R32, R40, G40, Z60m
  - Panasonic Toughbook CF-51E
* Mon Mar 20 2006 seife@suse.de
- Rework radeontool code - no longer parse lspci output - no longer
  require pciutils.
- Compile dmidecode, radeontool and vbetool object files and link
  against them instead of including all the .c files.
- Various code cleanups.
- Include a NOFB flag for machines that only work when not using
  a framebuffer console.
- Whitelist updates:
  - ASUS M6Ne
  - Dell Inspiron 5150, Latitude D600/D610
  - HP nx5000, nc6000, nc6230, nx8220
  - IBM ThinkPad X40, T41p, T42p
  - Samsung X20
  - Sony PCG-GRT995MP
  - Fujitsu Siemens Stylistic ST5000
* Mon Mar  6 2006 seife@suse.de
- better identification / debug output
- Whitelist updates:
  - Compaq Armada E500
  - hp compaq nx5000
  - ThinkPad T43 & R51
  - Toshiba Satellite 4080XCDT
  - Sony Vaio VGN-FS115B
* Thu Mar  2 2006 seife@suse.de
- refactoring of the whole s2ram codebase
- whitelist moved to an extra file
- fix segfault in vbetool code on x86_64
- Machines added to the whitelist:
  - Acer Extensa 4150
  - Acer TravelMate C300
  - Fujitsu Amilo A7640
  - Fujitso Stylistic ST5000
  - Sharp PC-AR10
  - Sony VGN-FS115B
* Fri Feb 24 2006 seife@suse.de
- add different options to skip whitelist.
* Wed Feb 22 2006 seife@suse.de
- add chvt code to switch to console 1 before suspend if needed.
- allow building on x86_64.
* Wed Feb 22 2006 seife@suse.de
- initial package submission, CVS from today.
